#
# spec file for package python3-dnspython
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-dnspython
Version:        1.14.0
Release:        1.2
Summary:        A DNS toolkit for Python
License:        ISC
Group:          Development/Languages/Python
Url:            http://www.dnspython.org
Source:         https://github.com/rthalley/dnspython/archive/v%{version}.zip
BuildRequires:  netcfg
BuildRequires:  python3-devel
BuildRequires:  python3-pycrypto
BuildRequires:  python3-setuptools
BuildRequires:  unzip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
dnspython is a DNS toolkit for Python. It supports almost all record types. It can be used for queries, zone transfers, and dynamic updates. It supports TSIG authenticated messages and EDNS0.

dnspython provides both high and low level access to DNS. The high level classes perform queries for data of a given name, type, and class, and return an answer set. The low level classes allow direct manipulation of DNS zones, messages, names, and records.

dnspython originated at Nominum where it was developed to facilitate the testing of DNS software. Nominum has generously allowed it to be open sourced under a BSD-style license.

%prep
%setup -q -n dnspython-%{version}
chmod -x examples/*

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
pushd tests
test -f test_resolver.py && rm test_resolver.py
make PYTHON=python3 test
popd

%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE README.md examples
%{python3_sitelib}/*

%changelog
* Sun Jul 10 2016 arun@gmx.de
- update to version 1.14.0:
  * Add CSYNC RR support
  * Fix bug in LOC which destroyed N/S and E/W distinctions within a
    degree of the equator or prime merdian respectively.
  * Misc. fixes to deal with fallout from the Python 2 & 3 merge.
    [issue #156], [issue #157], [issue #158], [issue #159], [issue
    [#160]].
  * Running with python optimization on caused issues when stripped
    docstrings were referenced. [issue #154]
  * dns.zone.from_text() erroneously required the zone to be provided.
    [issue #153]
  * dns/message.py (make_query): Setting any value which implies EDNS
    will turn on EDNS if 'use_edns' has not been specified.
  * TSIG signature algorithm setting was broken by the Python 2 and
    Python 3 code line merge.  Fixed.
* Fri May 13 2016 sebix+novell.com@sebix.at
- New upstream release 1.13.0
* Sat Apr 16 2016 sebix+novell.com@sebix.at
-  Initial RPM release
